- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IUserManager
TAuthManager
TAuthorizationRule
TAuthorizationRuleCollection
TDbUser
TDbUserManager
TSecurityManager
TSecurityManagerValidationMode
TUser
TUserManager
TUserManagerPasswordMode

Keyword

# Class TSecurityManagerValidationMode

    TEnumerable
       |
       --TSecurityManagerValidationMode

TSecurityManagerValidationMode class.

TSecurityManagerValidationMode defines the enumerable type for the possible validation modes that can be used by TSecurityManager.

The following enumerable values are defined:

- MD5: an MD5 hash is generated from the data and used for validation.
- SHA1: an SHA1 hash is generated from the data and used for validation.

Since: 3.0.4
Author: Qiang Xue <qiang.xue@gmail.com>

Constant Summary
string | MD5 |
string | SHA1 |

Constant Details

### MD5

#### Type:

string

#### Value:

'MD5'

### SHA1

#### Type:

string

#### Value:

'SHA1'